package intrinsic.mx.events;

public class DividerEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public double delta;
	public int dividerIndex;

	/** Constants */
	public static final String DIVIDER_PRESS = "divider_press";
	public static final String DIVIDER_RELEASE = "divider_release";
	public static final String VERSION = "version";
	public static final String DIVIDER_DRAG = "divider_drag";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DividerEvent() {
}

public DividerEvent(String arg0) {
}

public DividerEvent(String arg0, boolean arg1) {
}

public DividerEvent(String arg0, boolean arg1, boolean arg2) {
}

public DividerEvent(String arg0, boolean arg1, boolean arg2, int arg3) {
}

public DividerEvent(String arg0, boolean arg1, boolean arg2, int arg3, double arg4) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
